<?php
namespace Teknisa\FIS\Controllers;

use Teknisa\FIS\Services\Fis91000RelacaoFuncionariosEmpresaService;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DataSource\ParameterBag;


class Fis91000RelacaoFuncionariosEmpresaController extends \Teknisa\FIS\Controllers\TeknisaCrud{

    protected $dataSourceName;
    protected $parameterBag;
    protected $crudService;
    protected $dataSourceNameToSave  = false;
    protected $service;

    public function __construct($crudService, ParameterBag $parameterBag, Fis91000RelacaoFuncionariosEmpresaService $service) {
        $this->service = $service;
        parent::__construct($crudService, $parameterBag);
    }

    public function relacionarFuncionariosVinculosEmpresa(DTO\Request $request, DTO\Response $response) {
        try{
            $rows = $request->getDataSet()->getRows();
            foreach ($rows as $row){
                $this->service->relacionarFuncionariosVinculosEmpresa($row);
            }
        }
        catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }

	}
	
	public function find(DTO\Request\Filter $request, DTO\Response $response) {
        try {
            $filterCriteria = $request->getFilterCriteria();
            $filterCriteria->setDataSourceName('relacfuncempr_gpe_tipovinculoh_estruturam');
            $filterCriteria = $this->crudService->getFilterCriteriaWithNrOrg($filterCriteria);
            $newFilterCriteria = $this->crudService->getPopulatedFilterCriteria($filterCriteria, $this->parameterBagColumns);
            $this->crudService->find($response, $newFilterCriteria);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
	
}
