<?php

namespace Teknisa\FIS\Factories;

use Doctrine\ORM\EntityManager;

class Fis08600ParametrosIntegracaoFechamentoCupomFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function verificaFilialParavend($cdfilial ,$nrorg){
        #sets parameter data
        $params             = array();
        $params['CDFILIAL'] = $cdfilial;
        $params['NRORG']    = $nrorg;
        #defines function query
        $sql = "SELECT  *  FROM  PARAVEND
                WHERE CDFILIAL  = :CDFILIAL
                      AND NRORG  = :NRORG";

        #prepares query and executes it with parameters
        $std = $this->connection->prepare($sql);
        $std->execute($params);

        #fetch all result rows and returns
        return $std->fetchAll();
    }

    public function insereParavend($cdfilial ,$nrorg, $cdparavend){
        #sets parameter data
        $params               = array();
        $params['CDFILIAL']   = $cdfilial;
        $params['NRORG']      = $nrorg;
        $params['CDPARAVEND'] = $cdparavend;
        #defines function query
        $sql = "INSERT INTO PARAVEND
                  (CDFILIAL, NRORG, CDPARAVEND)
                VALUES
                  (:CDFILIAL,
                   :NRORG,
                   :CDPARAVEND
                  )";

        #prepares query and executes it with parameters
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }

}