<?php
namespace Teknisa\FIS\Services;

use Teknisa\Libs\Util\Environment;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO\Row;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\FIS\Factories\Fis08600ParametrosIntegracaoFechamentoCupomFactory;
use Teknisa\Libs\Util\DateUtil;

class Fis08600ParametrosIntegracaoFechamentoCupomService {

    protected $nrorg;
    protected $operador;
    protected $currentTime;
    protected $environment;
    protected $entityManager;
    protected $factory;

    public function __construct(Environment $environment, EntityManager $entityManager, Fis08600ParametrosIntegracaoFechamentoCupomFactory $factory) {
        $this->environment       = $environment;
        $this->entityManager     = $entityManager;
        $this->factory           = $factory;
        $this->nrorg             = $this->environment->getNrOrg();
        $this->operador          = $this->environment->getCdOperador();
        $this->currentTime       = $this->environment->getCurrentTime()->format("d/m/Y H:i:s");
    }

    public function verificaFilialParavend($row){
        try {
            $connection = $this->entityManager->getConnection();
            $connection->beginTransaction();

            $filial = $this->factory->verificaFilialParavend($row['CDFILIAL'],$this->nrorg);
            if(empty($filial)){
                $this->factory->insereParavend($row['CDFILIAL'],$this->nrorg,'1');
                $this->entityManager->flush();
                 $connection->commit();
                return true;
            }else{
                $connection->commit();
                return false;
            }

        }catch (\Exception $e) {
            $this->entityManager->rollback();
            throw $e;
        }
    }

}